
/////////////////////////////////////////////////////////////////////////////////////////

function deleteLookupQueue(luqtype)
{
	$('#confirm-message').html("<h4>Are you sure you want to clear the lookup queue?</h4>");
	$('#confirm-caller').val("confirm_deleteluq");
	$('#confirm-param').val(luqtype);
	showPanel("panel-confirm");
}

/////////////////////////////////////////////////////////////////////////////////////////

function confirm_deleteluq()
{
	var luqtype = $('#confirm-param').val();
	var datastr = get_ajax_datastr("set", "luq", "del");
	datastr += "&type=" + encodeURIComponent(luqtype);
	ajax_call(datastr, ajax_delete_luq_done, null);
}

/////////////////////////////////////////////////////////////////////////////////////////

function ajax_delete_luq_done(x, jqXHR, textStatus, params)
{
	if(x != null) {
		if(x.status == 'ok') {
			showSessionQueueCount(true);
		}
	}
}

/////////////////////////////////////////////////////////////////////////////////////////

function doLookups(luqtype)
{
	var datastr = get_ajax_datastr("set", "luq", "schedule");
	var refreshinterval = parseInt($('#qb-refresh-interval').val());
	if(refreshinterval == 0) {
		// Force lookups, set interval to 1 and mode to hour
		refreshinterval = 1;
		datastr += "&riu=1";
	}
	datastr += "&ri=" + encodeURIComponent(refreshinterval);
	datastr += "&limit=" + encodeURIComponent($('#qb-domain-limit').val());
	datastr += "&type=" + encodeURIComponent(luqtype);
	ajax_call(datastr, ajax_add_luq_done, null);
}

/////////////////////////////////////////////////////////////////////////////////////////

function ajax_add_luq_done(x, jqXHR, textStatus, params)
{
	if(x != null) {
		if(x.status == 'ok') {
			showSessionQueueCount(true);
		}
	}
}

/////////////////////////////////////////////////////////////////////////////////////////
